Bug 1285907 - Blank video screen when Fedora-22 & 23/64bit XFCE LiveCD is booted (nVidia GTX 960M video card) ...
Blank video screen when Fedora-22 & 23/64bit XFCE LiveCD is booted (nVidia GT...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 19:07 EST by prismalytics
Modified: 2015-11-30 08:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 08:34:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description prismalytics 2015-11-26 19:07:47 EST
Hello friends:

I'll try to keep the description tight, so you don't have to read much. :)

========================================================
The actual laptop model
========================================================
http://www.amazon.com/gp/product/B014MIC1EI
=======================================================

Basically, when booting the LiveCD XFCE spin of Fedora-23/64bit, the O/S boots, but when the X server (XFCE) starts, the screen stays blank. You see a mouse pointer against a blank screen, but that's it. I also tried booting the Fedora-23/64bit Workstation spin, but experienced the same issue.

I tried other things, too.
- For example, the laptop BIOS has two modes related to video, "switchable graphics" (the default) and "internal graphics". I tried both, same issue either way.

- Next, I cloned a fully configured/functional/patched Fedora-23/64bit O/S from another recently installed laptop (also installed from the XFCE spin, and which has a nVidia GeForce™ GTX 485M card) onto this new laptop; then made all the necessary adjustments to get it to boot (e.g. updates to UUIDs; fstab; grub.cfg, ifcfg-*; and so on) but, sadly, am still presented with a blank screen just as X starts. And note that this cloned O/S configuration has all the necessary drivers from the NVIDIA site, as well as includes all the necessary steps to disable use of the "nouveau" driver (I know that procedure well). So in that sense, this O/S is more complete than the LiveCD is.

Below is lspci and lsmod output.

I'm not sure how to troubleshoot this or if it is a bug. Can you assist me?
Please and thank you!

=====================================================
user$ lspci
=====================================================
00:00.0 Host bridge: Intel Corporation Sky Lake Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Sky Lake PCIe Controller (x16) (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Device 191b (rev 06)
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA Controller [AHCI mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #2 (rev f1)
00:1c.2 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #3 (rev f1)
00:1c.3 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #4 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-H LPC Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-H PMC (rev 31)
00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
00:1f.4 SMBus: Intel Corporation Sunrise Point-H SMBus (rev 31)
01:00.0 3D controller: NVIDIA Corporation GM107M [GeForce GTX 960M] (rev a2)
07:00.0 SD Host controller: O2 Micro, Inc. SD/MMC Card Reader Controller (rev 01)
08:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
09:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)
===================================================================

===================================================================
user@y700$ lsmod
===================================================================
Module                  Size  Used by
snd_hda_codec_hdmi     49152  1
arc4                   16384  2
x86_pkg_temp_thermal    16384  0
coretemp               16384  0
kvm_intel             167936  0
kvm                   499712  1 kvm_intel
crct10dif_pclmul       16384  0
crc32_pclmul           16384  0
crc32c_intel           24576  0
iwlmvm                294912  0
mac80211              700416  1 iwlmvm
snd_hda_codec_realtek    86016  1
uvcvideo               90112  0
btusb                  45056  0
snd_hda_codec_generic    73728  1 snd_hda_codec_realtek
btrtl                  16384  1 btusb
videobuf2_vmalloc      16384  1 uvcvideo
btbcm                  16384  1 btusb
videobuf2_core         49152  1 uvcvideo
btintel                16384  1 btusb
bluetooth             483328  5 btbcm,btrtl,btusb,btintel
videobuf2_memops       16384  1 videobuf2_vmalloc
v4l2_common            16384  1 videobuf2_core
videodev              163840  3 uvcvideo,v4l2_common,videobuf2_core
snd_hda_intel          36864  1
snd_hda_codec         126976  4 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel
media                  24576  2 uvcvideo,videodev
nvidia               8749056  0
snd_hda_core           61440  5 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel
snd_hwdep              16384  1 snd_hda_codec
iwlwifi               139264  1 iwlmvm
snd_seq                69632  0
snd_seq_device         16384  1 snd_seq
snd_pcm               114688  4 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd_hda_core
cfg80211              536576  3 iwlwifi,mac80211,iwlmvm
snd_timer              32768  2 snd_pcm,snd_seq
snd                    77824  12 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore              16384  1 snd
i2c_i801               20480  0
ideapad_laptop         24576  0
shpchp                 36864  0
sparse_keymap          16384  1 ideapad_laptop
rfkill                 24576  3 cfg80211,ideapad_laptop,bluetooth
pinctrl_sunrisepoint    28672  0
pinctrl_intel          20480  1 pinctrl_sunrisepoint
acpi_pad               36864  0
acpi_cpufreq           20480  0
nfsd                  315392  1
auth_rpcgss            61440  1 nfsd
nfs_acl                16384  1 nfsd
lockd                  94208  1 nfsd
grace                  16384  2 nfsd,lockd
sunrpc                311296  7 nfsd,auth_rpcgss,lockd,nfs_acl
binfmt_misc            20480  1
i915                 1110016  0
i2c_algo_bit           16384  1 i915
sdhci_pci              24576  0
drm_kms_helper        118784  1 i915
sdhci                  40960  1 sdhci_pci
drm                   335872  4 i915,drm_kms_helper,nvidia
mmc_core              122880  2 sdhci,sdhci_pci
r8169                  81920  0
serio_raw              16384  0
mii                    16384  1 r8169
wmi                    20480  0
video                  36864  2 i915,ideapad_laptop
i2c_hid                20480  0
analog                 20480  0
gameport               16384  1 analog
joydev                 20480  0
=========================================================
Comment 1 Kevin Fenzi 2015-11-26 19:29:19 EST
Please try the most recent rawhide kernel. I don't think the current Fedora 23 kernel has support for skylake graphics. 

https://koji.fedoraproject.org/koji/buildinfo?buildID=701544

(note: this is a rawhide kernel and may have debugging enabled, or security issues, so do this just to test things out and see if that gets it working for you)
Comment 2 prismalytics 2015-11-26 19:49:45 EST
(In reply to Kevin Fenzi from comment #1)
> Please try the most recent rawhide kernel. I don't think the current Fedora
> 23 kernel has support for skylake graphics. 
> 
> https://koji.fedoraproject.org/koji/buildinfo?buildID=701544
> 
> (note: this is a rawhide kernel and may have debugging enabled, or security
> issues, so do this just to test things out and see if that gets it working
> for you)

Happy Thanksgiving Kevin and thank you. I will try it temporarily (rawhide) and post back. FYI: I just tried Fedora-22 LiveCD as well, with no luck; but if Fedora 23 kernels don't yet support it (per your note above) I imagine Fedora-22 doesn't either. =:). Just mentioning it here for completeness. Will try the above now. Thanks.
Comment 3 prismalytics 2015-11-26 20:54:29 EST
Hello again...

Kevin you were/are correct. dnf(8) installing the following four rawhide kernel components form the URL you provided, yielded progress:

kernel-modules-4.4.0-0.rc2.git2.1.fc24.x86_64
kernel-4.4.0-0.rc2.git2.1.fc24.x86_64
kernel-headers-4.4.0-0.rc2.git2.1.fc24.x86_64
kernel-devel-4.4.0-0.rc2.git2.1.fc24.x86_64

Now X starts and the XFCE-based desktop appears. :)

As you mentioned, this was to get us some more information because this kernel is likely in some non-ideal and/or unstable state.

-------------------------------------------
Two follow-on questions (thank you)...
-------------------------------------------
(1) When would this support likely come out in a released kernel?

(2) Let's pretend I keep this kernel for a while (I don't think I have
a choice. =:)). When I run the following nVidia installation command (which I
do to get the nVidia driver working with the latest installed kernel when
DKMS fails to do it automatically), how do I overcome the below error in our
transitional scenario here? (Btw, I've variously seen this error over the
years -- it's not new to me =:)):

=======================================================================
user@linux$ sudo ./NVIDIA-Linux-x86_64-358.16.run
=======================================================================
[ I answer "Yes" to prompts, including "Yes" to registering it with DMKS ].

[ ... verbosity omitted ... ]

>> NVIDIA Accelerated Graphics Driver for Linux-x86_64 (358.16)
>>
>> ERROR: Failed to run `/sbin/dkms build -m nvidia -v 358.16 -k
>>       4.4.0-0.rc2.git2.1.fc24.x86_64`:
>>       Kernel preparation unnecessary for this kernel.  Skipping...
>>                                                                            
>> Building module:                                                               
>> cleaning build area...                                                     
>> 'make' -j8 NV_EXCLUDE_BUILD_MODULES=''                                         
>> KERNEL_UNAME=4.4.0-0.rc2.git2.1.fc24.x86_64 modules.....(bad exit status: 2)
>> Error! Bad return status for module build on kernel:
>>         4.4.0-0.rc2.git2.1.fc24.x86_64 (x86_64)
>>         Consult /var/lib/dkms/nvidia/358.16/build/make.log for more
>>         information.



=================================================================
The ERROR from '/var/lib/dkms/nvidia/358.16/build/make.log' ...
=================================================================
[ ... SNIP ... ]
  LD [M]  /var/lib/dkms/nvidia/358.16/build/nvidia.o
ld -r -o /var/lib/dkms/nvidia/358.16/build/nvidia-modeset/nv-modeset-interface.o /var/lib/dkms/nvidia/358.16/build/nvidia-modeset/nvidia-modeset-linux.o
  LD [M]  /var/lib/dkms/nvidia/358.16/build/nvidia-modeset.o
  LD [M]  /var/lib/dkms/nvidia/358.16/build/nvidia-uvm.o
  Building modules, stage 2.
  MODPOST 3 modules
FATAL: modpost: GPL-incompatible module nvidia.ko uses GPL-only symbol 'lock_release'
/usr/src/kernels/4.4.0-0.rc2.git2.1.fc24.x86_64/scripts/Makefile.modpost:91: recipe for target '__modpost' failed
make[3]: *** [__modpost] Error 1
/usr/src/kernels/4.4.0-0.rc2.git2.1.fc24.x86_64/Makefile:1391: recipe for target 'modules' failed
make[2]: *** [modules] Error 2
make[2]: Leaving directory '/usr/src/kernels/4.4.0-0.rc2.git2.1.fc24.x86_64'
Makefile:146: recipe for target 'sub-make' failed
make[1]: *** [sub-make] Error 2
make[1]: Leaving directory '/usr/src/kernels/4.4.0-0.rc2.git2.1.fc24.x86_64'
Makefile:81: recipe for target 'modules' failed
make: *** [modules] Error 2

[ ... END OF FILE ... ]
========================================================
user@linux$


Thanks again!
Comment 4 prismalytics 2015-11-26 20:56:30 EST
P.S. I tried other nVidia driver versions, too, including older ones. Same error results.
Comment 5 prismalytics 2015-11-27 12:48:10 EST
UPDATE:

I just realized above that I was talking about the nVidia card (GTX 960M) while Kevin was talking about the integrated Intel graphics capability (Skylake based).

As mentioned, his proposal led to progress on a rawhide kernel, but I was looking for a nVidia solution.

As luck would have it, I had to disable (blacklist) the "ideapad_laptop" driver in order to un-HARDBLOCK the Bluetooth and the Wlan receivers (according to rfkill(1) list).

After doing that, on a hunch I booted into my released kernel (version 4.2.6-301.fc23.x86_64), re-ran the nVidia installation tool, and started X. That combination (with "ideapad_laptop" worked. If this makes sense to anyone, do say let me know.

Sadly, while XFCE does start and work, it's not a stable experience. Logging out (I log out back to a command line login prompt, not to gdm), freezes the display and whatever content was currently displayed. The only thing I can do is ssh into the box and reboot the O/S. Another thing is that suspend/resume -- by closing the laptop lid -- doesn't work.... It doesn't resume.

I don't think that this is a kernel issue (as selected in the components section), but worth mentioning, as it will help someone. And maybe someone here has thoughts about this X behavior on this card with this kernel and that nVidia driver. :) Thank you!
Comment 6 prismalytics 2015-11-27 12:51:06 EST
(In reply to prismalytics from comment #5)
> UPDATE:
> 
> I just realized above that I was talking about the nVidia card (GTX 960M)
> while Kevin was talking about the integrated Intel graphics capability
> (Skylake based).
> 
> As mentioned, his proposal led to progress on a rawhide kernel, but I was
> looking for a nVidia solution.
> 
> As luck would have it, I had to disable (blacklist) the "ideapad_laptop"
> driver in order to un-HARDBLOCK the Bluetooth and the Wlan receivers
> (according to rfkill(1) list).
> 
> After doing that, on a hunch I booted into my released kernel (version
> 4.2.6-301.fc23.x86_64), re-ran the nVidia installation tool, and started X.
> That combination (with "ideapad_laptop" worked. If this makes sense to
> anyone, do say let me know.
> 
> Sadly, while XFCE does start and work, it's not a stable experience. Logging
> out (I log out back to a command line login prompt, not to gdm), freezes the
> display and whatever content was currently displayed. The only thing I can
> do is ssh into the box and reboot the O/S. Another thing is that
> suspend/resume -- by closing the laptop lid -- doesn't work.... It doesn't
> resume.
> 
> I don't think that this is a kernel issue (as selected in the components
> section), but worth mentioning, as it will help someone. And maybe someone
> here has thoughts about this X behavior on this card with this kernel and
> that nVidia driver. :) Thank you!

TYPO Above:
That combination (with "ideapad_laptop" disabled) worked.
Comment 7 Josh Boyer 2015-11-30 08:34:25 EST
Fedora does not provide or support setups with proprietary drivers.

Note You need to log in before you can comment on or make changes to this bug.